package com.bytedance.android.livesdk.usermanage;

import X.1c5;
import X.1fg;
import X.2Pr;
import X.IUt;
import X.PUt;
import X.PgU;
import com.bytedance.covode.number.Covode;

public interface KickOutApi {
    static {
        Covode.recordClassIndex(21286);
    }

    @IUt(LIZ = "/webcast/room/kick/list/")
    PgU<1fg> getKickedOutList(@PUt(LIZ = "room_id") long j, @PUt(LIZ = "count") int i, @PUt(LIZ = "offset") int i2, @PUt(LIZ = "sec_user_id") String str);

    @IUt(LIZ = "/webcast/room/kick/user/")
    PgU<1c5<2Pr>> kickOut(@PUt(LIZ = "room_id") long j, @PUt(LIZ = "kick_uid") long j2);

    @IUt(LIZ = "/webcast/room/unkick/user/")
    PgU<1c5<2Pr>> unKickOut(@PUt(LIZ = "room_id") long j, @PUt(LIZ = "kick_uid") long j2);
}
